import jaggl.OpenGL;

public class Class262 implements Interface7, Interface8, Interface26 {

   int anInt3054;
   Class91 aClass91_3055;
   int anInt3056;
   int anInt3057;
   Class545_Sub2_Sub2 aClass545_Sub2_Sub2_3058;
   Class98 aClass98_3059;


   public int method33() {
      return this.anInt3056;
   }

   void method4678() {
      if(this.anInt3054 > 0) {
         this.aClass545_Sub2_Sub2_3058.method15909(this.anInt3054, this.anInt3056 * this.anInt3057 * this.aClass91_3055.anInt906 * -2107221975 * this.aClass98_3059.anInt996 * 1946169797);
         this.anInt3054 = 0;
      }

   }

   public int method30() {
      return this.anInt3056;
   }

   public int method35() {
      return this.anInt3057;
   }

   public void method10() {
      if(this.anInt3054 > 0) {
         int[] var1 = new int[]{this.anInt3054};
         OpenGL.glDeleteRenderbuffersEXT(1, var1, 0);
         this.anInt3054 = 0;
      }

   }

   public void method45(int var1) {
      OpenGL.glFramebufferRenderbufferEXT('\u8d40', var1, '\u8d41', this.anInt3054);
   }

   void method4679() {
      if(this.anInt3054 > 0) {
         this.aClass545_Sub2_Sub2_3058.method15909(this.anInt3054, this.anInt3056 * this.anInt3057 * this.aClass91_3055.anInt906 * -2107221975 * this.aClass98_3059.anInt996 * 1946169797);
         this.anInt3054 = 0;
      }

   }

   public void finalize() throws Throwable {
      this.method4679();
      super.finalize();
   }

   public int method31() {
      return this.anInt3056;
   }

   public int method32() {
      return this.anInt3056;
   }

   void method4680() throws Throwable {
      this.method4679();
      super.finalize();
   }

   public void method8() {
      if(this.anInt3054 > 0) {
         int[] var1 = new int[]{this.anInt3054};
         OpenGL.glDeleteRenderbuffersEXT(1, var1, 0);
         this.anInt3054 = 0;
      }

   }

   public void method9() {
      if(this.anInt3054 > 0) {
         int[] var1 = new int[]{this.anInt3054};
         OpenGL.glDeleteRenderbuffersEXT(1, var1, 0);
         this.anInt3054 = 0;
      }

   }

   public int method34() {
      return this.anInt3057;
   }

   void method4681() {
      if(this.anInt3054 > 0) {
         this.aClass545_Sub2_Sub2_3058.method15909(this.anInt3054, this.anInt3056 * this.anInt3057 * this.aClass91_3055.anInt906 * -2107221975 * this.aClass98_3059.anInt996 * 1946169797);
         this.anInt3054 = 0;
      }

   }

   Class262(Class545_Sub2_Sub2 var1, Class98 var2, Class91 var3, int var4, int var5) {
      this.aClass98_3059 = var2;
      this.aClass91_3055 = var3;
      this.anInt3056 = var4;
      this.anInt3057 = var5;
      this.aClass545_Sub2_Sub2_3058 = var1;
      int[] var6 = new int[1];
      OpenGL.glGenRenderbuffersEXT(1, var6, 0);
      this.anInt3054 = var6[0];
      OpenGL.glBindRenderbufferEXT('\u8d41', this.anInt3054);
      OpenGL.glRenderbufferStorageEXT('\u8d41', Class545_Sub2_Sub2.method15914(this.aClass98_3059, this.aClass91_3055), var4, var5);
   }

   void method4682() throws Throwable {
      this.method4679();
      super.finalize();
   }

   Class262(Class545_Sub2_Sub2 var1, Class98 var2, Class91 var3, int var4, int var5, int var6) {
      this.aClass98_3059 = var2;
      this.aClass91_3055 = var3;
      this.anInt3056 = var4;
      this.anInt3057 = var5;
      this.aClass545_Sub2_Sub2_3058 = var1;
      int[] var7 = new int[1];
      OpenGL.glGenRenderbuffersEXT(1, var7, 0);
      this.anInt3054 = var7[0];
      OpenGL.glBindRenderbufferEXT('\u8d41', this.anInt3054);
      OpenGL.glRenderbufferStorageMultisampleEXT('\u8d41', var6, Class545_Sub2_Sub2.method15914(this.aClass98_3059, this.aClass91_3055), var4, var5);
   }

   public void method47(int var1) {
      OpenGL.glFramebufferRenderbufferEXT('\u8d40', var1, '\u8d41', this.anInt3054);
   }

   public int method29() {
      return this.anInt3057;
   }

   void method4683() throws Throwable {
      this.method4679();
      super.finalize();
   }
}
